(define-module (my-packages dockerosx)
  #:use-module (guix)
  #:use-module (guix build-system trivial))

(define-public example
  (package
    (name "Docker-OSX")
    (version "1.0")
    (source (origin
              (method url-fetch)
              (uri "github")
              (sha256 (base32
                hash))))
    (build-system trivial-build-system)
    (arguments
     `(#:builder
       (begin
         (use-modules (guix build utils))

         (let* ((out (assoc-ref %outputs "out")))
           (system* "bash" "-c" "podman run -it \
    --device /dev/kvm \
    -p 50922:10022 \
    -v /tmp/.X11-unix:/tmp/.X11-unix \
    -e "DISPLAY=${DISPLAY:-:0.0}" \
    -e GENERATE_UNIQUE=true \
    -e MASTER_PLIST_URL='https://raw.githubusercontent.com/sickcodes/osx-serial-generator/master/config-custom.plist' \
    sickcodes/docker-osx:ventura")
           (system* "bash" "-c" "podman build -t docker-osx --build-arg SHORTNAME=ventura .")

           ;; The trivial builder must create the output directory
           (mkdir out))))))



